Create attribute mapper
Create an attribute mapper config in a project. Requires the developer role.
POST
/v1/projects/{projectId}/attribute-mappersAuthorization
AuthorizationPersonal API key · headerrequiredYour personal API key from Settings > Personal API Keys, sent as Bearer <key>.
X-Organization-IdOrganization ID · headerrequiredThe organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.
Path parameters
projectIdstringrequiredRequest body
requiredapplication/jsonnamestringrequiredA descriptive name for the mapper
rulesobject[]requiredThe source-to-target attribute mapping rules
Show propertiesHide properties
Array of
objectsource_keystringrequiredThe incoming span attribute key to read
target_keystringrequiredThe Judgment attribute key to write to (must be a valid judgment.* key unless you are a Judgment admin)
enabledbooleanoverridebooleanremove_sourcebooleanResponses
200
Response for status 200
mapperobjectrequiredShow propertiesHide properties
idstringrequiredorganization_idstringrequiredproject_idstring | nullrequirednamestringrequiredenabledbooleanrequiredoverridebooleanrequiredremove_sourcebooleanrequiredrulesobject[]requiredShow propertiesHide properties
Array of
objectsource_keystringrequiredtarget_keystringrequiredcreated_atstring | nullrequiredupdated_atstring | nullrequired